Subject: Re: [PATCH] NET: Add TCP connection abort IOCTL

From: Rick Jones <[email-masked]>
Date: Tue, 27 Mar 2007 17:04:24 -0700

> There is no reason for this ioctl at all.  Either existing
> facilities provide what you need or what you want is a
> protocol violation we can't do.

I agree that 99 times out of ten such a mechanism serves only as a 
massive KLUDGE to paper-over application bugs.  I'll also sadly 
point-out that such a mechanism exists in HP-UX 11.X and I suspect 
Solaris !-(  I've spent probably the last decade or so attempting to 
discourage its use in the HP-UX space, but like some daemon from hell it 
just refuses to die.

rick jones